getGaussianLoss <- function(fit, y, X) {
  nlam <- length(fit$penalty)
  n    <- length(y)
  rdf  <- n
  out  <- numeric()
  for(i in 1:nlam) {
    eta    <- fit$beta0[i] + X %*% fit$betas[, i, 1]
    SSE    <- sum((y - eta)^2)
    out[i] <- -n / 2 * (log(2 * pi) + log(SSE) - log(rdf)) - rdf / 2
    }
  return(out)
}

getLogisticLoss <- function(fit, y, X) {
  nlam <- length(fit$penalty)
  n    <- length(y)
  out  <- numeric()
  for(i in 1:nlam) {
    eta    <- fit$beta0[i] + X %*% fit$betas[, i, 1]
    out[i] <- sum(y * eta - log(1 + exp(eta)))
  }
  return(out)
}
