simulateExternalBinary <- function(alpha0, n.col, 
                                   sens1 = 0.6, spec1 = 0.4,
                                   sens0 = 0.5, spec0 = 0.5) {
  tp.idx <- which(alpha0 != 0); tn.idx <- which(alpha0 == 0)
  
  # Simulate external data matrix
  ext <- matrix(0, nrow = n.cov, ncol = n.ext)
  
  for(i in 1:n.cov) {
      ext[i, sample(tp.idx, sens1 * length(tp.idx), replace = FALSE)] <- 1
      ext[i, sample(tn.idx, (1 - spec1) * length(tn.idx), replace = FALSE)] <- 1
  }
  return(ext)
}


